TYPO3.Flow - Feature # 35965

Status: Resolved Priority: Should have
Author: Peter Russ Category: Security
Created: 2012-04-13 Assigned To: Andreas Foérthner
Updated: 2012-05-08 Due date:

PHP Version:

Has patch: No

Complexity: easy

Subject: Session shouldn't start automatically

Description

By default session handling is started automatically. This isn't useful when it comes to server/server communication.
Places where it should be fixed:

TYPO3\FLOW3\Security\Authentication\AuthenticationProviderManager line 130  * @FLOW3\Session(autoStart=true)
and

Package line 46/47

$dispatcher->connect('TYPO3\FLOW3\Security\Authentication\AuthenticationProviderManager', 'authenticatedToken',
"TYPO3\FLOW3\Session\SessionInterface', 'renewld');
$dispatcher->connect('TYPO3\FLOW3\Security\Authentication\AuthenticationProviderManager', 'loggedOut',
"TYPO3\FLOW3\Session\SessionInterface', 'destroy');

Associated revisions

Revision ab61bd44 - 2012-05-07 14:56 - Andreas Forthner

["[TASK] Change session autostart handling for authentication providers

The session autostart annotation is set at the
providers, not at the authentication manager. By
this every provider can decide on its own, if a

session is needed or not.

Also adds a safeguard in the Session Logging Aspect

to prevent errors while trying to log renewld()

even though the session was not started yet.

Change-Id: Idea18525c2ac19f0d56b7ebb3b314009a2e93461

Releases: 1.1
Resolves: #35965

Revision 69¢5912¢ - 2012-05-08 09:08 - Robert Lemke

[BUGFIX] Assure fresh session for functional tests

The changes done to resolve #35965 came with a functional

test that worked fine when run in isolation but failed when

run with other tests that would start a session.

This patch moves the $session->destroy() call in the
base test case from the tearDown() to the setUp()
method and fixes the behavior of destroy() in the
TransientSession which did not reset the "started"
flag.

Change-Id: 12fd85d24ef7456c84c9b36386a206c4c86a117bc

Related: #35965

Releases: 1.1

Revision a2033af0 - 2012-05-08 09:59 - Karsten Dambekalns

[BUGFIX] Adjust TransientSession unit test to recent change

The change in TransientSession to close the session when destroy()
is called needed to be reflected in the unit test.

Change-Id: 14bb7b128ed934afa08223eb3aeeaec2f847f918a4

Related: #35965

Releases: 1.1

History

#1 - 2012-04-14 15:54 - Andreas Forthner
- Project changed from TYPOG3 Flow Base Distribution to TYPO3.Flow

#2 - 2012-04-14 15:55 - Andreas Forthner
- Category set to Security
- Has patch set to No

- Complexity set to easy
#3 - 2012-04-14 15:56 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/10469

#4 - 2012-05-07 14:04 - Robert Lemke

Just for the record: it's not correct that sessions are generally started automatically - the "autostart" feature exists exactly for having more control over

that behavior. What's right though is that the authenticate() method is starting a session because | did not consider authentication mechanisms which

don't need sessions.

#5 - 2012-05-07 14:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10469

#6 - 2012-05-07 14:56 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/10469

#7 - 2012-05-08 02:37 - Andreas Forthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ab61bd444fe1d2b1feb0e6e6a224575824fc7ce9.
